Skip to main content

Depots

Depots are points where agents can pick up orders or shipments. Depots are used in creating tasks within route plans. Agents can start or end their work at a depot, and a depot can also be an intermediate point. For more information about depots, see the Depots section of the Administrator guide.

Getting the list of depots​

You can get a list of depots with their data: ID, name, address, work schedule, creation and update date and time.

To get the list of depots, send a GET request to /v1/depots with the limit parameter - the maximum number of depots in the response (from 1 to 100).

Request example:

curl --request GET \
--url 'https://geoflow.2gis.ru/public/api/v1/depots?limit=2' \
--header 'Authorization: Bearer <token>'

Response example:

response.json
{
"items": [
{
"id": "8fa2a2bc-4156-491c-b455-460de6eb1632",
"name": "Depot 1",
"address": {
"name": "Novosibirsk, Sun City, multifunctional complex",
"point": {
"lat": 54.98030090332031,
"lon": 82.89828491210938
}
},
"work_time_settings": {
"timezone": "Asia/Novosibirsk",
"rrule": "RRULE:BYDAY=MO,TU,WE,TH,FR,SA,SU",
"time_windows": [
{
"from": "07:00",
"to": "22:00"
}
]
},
"created_at": "2026-06-15T08:39:25.069017Z",
"updated_at": "2026-09-15T13:50:49.029653Z"
},
{
"id": "f910207c-b6f2-4ee2-9b8c-cdf9d867efb4",
"name": "Depot 2",
"address": {
"name": "Berdsk, ZimaLeto, sports complex",
"point": {
"lat": 54.74105453491211,
"lon": 83.06428527832031
}
},
"work_time_settings": {
"timezone": "Asia/Novosibirsk",
"rrule": "RRULE:BYDAY=MO,TU,WE,TH,FR,SA,SU",
"is_hard_time_window": true,
"time_windows": [
{
"from": "08:00",
"to": "20:00"
}
]
},
"created_at": "2026-08-20T08:15:07.030706Z",
"updated_at": "2026-08-20T08:15:07.030706Z"
}
],
"cursor": {}
}